#!/usr/bin/env python3
# coding: utf-8

"""
Class that maintains all constants for the Fusion MockUI

Environment: ubuntu 18.04
Author: Tina Wang
Last edited: January 2018

"""

class Constants:

    #region QUERY STRING PARAMETERS
    SET_COUNTRY = "country="
    SET_LANGUAGE = "&locale="
    SET_RETAIL = "&isRetail="
    SET_SERVICE_TAG = "&st="
    SET_MODEL = "&model="
    SET_OOBE = "&oobe="
    SET_APP_VERSION = "&apvr="
    SET_OS_EDITION = "&osys="
    SET_OS_VERSION = "&osvr="
    SET_OS_LOB = "&lob="
    # endregion

    # region FILE PATHS
    COUNTRY_MAPPING_FILE_PATH = "ms-appx:///Content/jsons/CountryMapping.json"
    # endregion

    # region Registration Page Log Message
    WEBVIEW_LOAD = "Web view Loading"
    WEBVIEW_LOAD_COMPLTED = "Web view Load Completed"
    NAVIGATION_STARTED = "Navigation is Started"
    TIME_OUT = "Time out"
    NAVIGATION_FAILED = "Navigation Failed"
    NAVIGATION_COMPLETED = "Navigation Completed"
    DOM_CONTENT_LOADED = "DOM content Loaded"
    ON_NAVIGATION_FROM = "On Naviagtion From"
    ON_NAVIGATION_TO = "On Naviagtion To"

    # Associatedobject log message.
    ATTACH_BEHAVIOR_EXCEPTION = "Associatedobject is not assignable to type:"
    # endregion


